#include "ferret.h"


#define MAGIC "$MAGIC"

#define TRUE_SWITCH		"true"
#define ON_SWITCH		"on"


typedef struct {
	gchar 	*list_name;
	gchar 	*magic1;
	gchar 	*magic2;
	gint	isvisible;
} Engine, *EnginePtr;


typedef struct {
	gchar *query;
	EnginePtr engine;
} Query, *QueryPtr;


void init_search_config();
gchar *escape (gchar *text);
void add_engine_from_config_line (gchar *line, gint lineno);
GList *get_default_engine_list();
GList *get_engines_list();
EnginePtr engine_for_list_name (gchar* name);
GHashTable *get_engine_table ();
void do_search (QueryPtr query);
void dispose_engine (Engine *eng);
void dispose_search_config();
void url_show_with_options (gchar *url);
