#include "ferret.h"


#define VAR_TAG			 	"[var]"
#define UVAR_TAG		 	"[uvar]"
#define IVAR_TAG		 	"[ivar]"
#define ENGINE_TAG 			"[engine]"

#define DEFAULT_PROPERTIES	"# Net Ferret 0.1b1 configuration file\n# (c)1999 Dave Fletcher\n#\n# [type] is either \n#\n#	[var]    a runtime variable, which should not\n# 		 be user modified\n#\n#	[uvar]   a runtime variable which is user\n# 		 modifiable\n#\n#	[ivar]   a runtime variable which may be changed\n# 		 only for internationalization purposes\n#\n#	[engine] a search engine description\n#\n#\n# Never modify variable names or types, only args should \n# be modified.\n\n\n#[type]		name			args\n#--------------------------------------------------------------------\n# note: width and height don't do anything yet...\n[uvar]		width			152\n[uvar]		height			48\n\n# note: change browser value to \"gnome-moz-remote --newin\"\n# to use a new window for each query.\n[uvar]		browser			gnome-moz-remote\n\n[ivar]		props_dialog_title	Net Ferret Properties\n[ivar]		props_dialog_ok		OK\n[ivar]		props_dialog_apply	Apply\n[ivar]		props_dialog_close	Close\n[ivar]		props_dialog_help	Help\n[ivar]		about_title		Net Ferret\n[ivar]		about_text		Net Ferret is a tool to help you get quicker results when searching the internet. Searching is painful enough already without that pesky search engine front page with seven hundred advertisements... Tip: Use the \"Web Update\" button in the engine properties dialog to get the latest search engine list off the net. This software is distributed under the GNU public license, a copy of which is available in the Net Ferret distribution folder.\n[ivar]		no_engine_err		Engine not found: \n[ivar]		go_button		Find\n[ivar]		prop_menu		Properties...\n[ivar]		about_menu		About Net Ferret...\n[ivar]		dont_escape		abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890\n[ivar]		no_eng_err		You must use at least one engine!\n[ivar]		web_update_btn		Web Update\n[ivar]		app_home_btn		Visit Net Ferret Web-Site\n\n[var]		about_auth		Dave Fletcher (fletch@pcc.net)\n[var]		about_contrib		Laura Chenault (nagster@pcc.net),Pete Giovagnoli (pgio@21stcentury.net)\n[var]		about_copyright		(C)1999 Dave Fletcher\n[var]		rc_web_home		http://www.pcc.net/alchemy/ferret/ferret.txt\n[var]		app_home		http://www.pcc.net/alchemy/ferret/\n[var]		help_home		http://www.pcc.net/alchemy/ferret/help.html\n[var]		applet_name		ferret_applet\n[var]		rcvers			1\n[var]		logo_pixmap		ferret_logo.xpm\n\n[engine]	MetaCrawler		on	http://search.go2net.com/crawler?method=0&general=$MAGIC&target=&region=0&rpp=20&timeout=5&hpe=10\n[engine]	Yahoo!			on	http://search.yahoo.com/bin/search?p=$MAGIC&\n[engine]	Lycos			off	http://www.lycos.com/cgi-bin/pursuit?cat=dir&query=$MAGIC&\n[engine]	Magellan		off	http://magellan.excite.com/search.gw?search=$MAGIC&\n[engine]	HotBot			off	http://www.hotbot.com/?MT=$MAGIC&SM=MC&DV=0&LG=any&DC=10&DE=2&_v=2&OPs=MDRTP\n[engine]	Excite			on	http://search.excite.com/search.gw?search=$MAGIC+\n[engine]	Infoseek		on	http://infoseek.go.com/Titles?qt=$MAGIC&col=WW&sv=IS&lk=noframes&svx=home_searchbox\n[engine]	DejaNews		on	http://www.deja.com/qs.xp?OP=dnquery.xp&ST=QS&QRY=$MAGIC&DBS=2\n[engine]	freshmeat.net		on	http://core.freshmeat.net/search.php3?link=freshmeat.net&query=$MAGIC&\n[engine]	linuxapps.com		on	http://www.linuxapps.com/search.html?use1=n&use2=k&use3=d&search=$MAGIC&\n[engine]	Apple Computer		off	http://search03.apple.com/s97is.vts?Action=FilterSearch&ResultTemplate=webx3.hts&ServerKey=Primary&filter=nullflt.hts&SearchPage=http%3A%2F%2Fsearch03.apple.com%2Findex.html&queryText=$MAGIC&\n[engine]	Microsoft		off	http://search.microsoft.com/us/results.asp?nq=TRUE&SName=&SPath=&SCatalog=&qu=$MAGIC&Boolean=ALL&intCat=10\n[engine]	C|Net			on	http://home.cnet.com/search/results/1%2c10050%2c0-0%2c00.html?qt=$MAGIC&ty=127&tag=st.cn.1fd2.sb.sr\n[engine]	MSNBC			off	http://infoseek.go.com/Titles?sv=MN&col=M2&qt=$MAGIC&txtZip=&txtSt1=&txtSt2=&txtSt3=&view.x=7&view.y=20\n[engine]	Slashdot		on	http://slashdot.org/search.pl?query=$MAGIC&\n[engine]	shareware.com-UNIX	on	http://search.shareware.com/code/engine/Find?logop=and&cfrom=quick&orfile=True&hits=25&search=$MAGIC&category=UNIX\n[engine]	shareware.com-PC	off	http://search.shareware.com/code/engine/Find?logop=and&cfrom=quick&orfile=True&hits=25&search=$MAGIC&category=MS-Windows%28all%29\n[engine]	shareware.com-MAC	off	http://search.shareware.com/code/engine/Find?logop=and&cfrom=quick&orfile=True&hits=25&search=$MAGIC&category=Macintosh\n[engine]	Unix Filez		off	http://search.filez.com/search.cgi?type=23&key=$MAGIC&search=1&rows=20\n[engine]	PC Filez		off	http://search.filez.com/search.cgi?type=4&key=$MAGIC&search=1&rows=20\n[engine]	Mac Filez		off	http://search.filez.com/search.cgi?type=2&key=$MAGIC&search=1&rows=20\n"

gint init_properties();
void dispose_properties();
gchar *get_property (gchar *key);
int get_int_property (gchar *key, gint dflt);
void install_default_properties();
